import { Column } from '@business/entity/grid';
import { AlarmStyle } from '@business/enum/types.enum';


export interface AreaNames {
    provinceName?: string;
    cityName?: string;
    areaName?: string;
}
// 传感器
export interface Sensor {
    description?: any|Column;
    id?: any|Column;
    sensorKey?: any|Column;
    lower?: any|Column;
    name?: any|Column;
    unit?: any|Column;
    upper?: any|Column;
  }

// 组织 
export interface Organization {
    address?: Column|any;
    areaCode?: Column|any;
    cityCode?: Column|any;
    createTime?: Column|any;
    description?: Column|any;
    email?: Column|any;
    expireTime?: Column|any;
    id?: Column|any;
    isDelete?: Column|any;
    name?: Column|any;
    provinceCode?: Column|any;
    rank?: Column|any;
    telephone?: Column|any;
    areaNames?: AreaNames|any ;
  }

  // 设备型号

  export interface DeviceVersion {
    createTime?: Column|any;
    description?: Column|any;
    id?: Column|any;
    name?: Column|any;
    version?: Column|any;
  }

  // 监控点
  export interface MonitorPoint {
    address?: any|Column;
    areaCode?: any|Column;
    cityCode?: any|Column;
    description?: any|Column;
    id?: any|Column;
    isDelete?: any|Column;
    latitude?: any|Column;
    longitude?: any|Column;
    name?: any|Column;
    organizationId?: any|Column;
    provinceCode?: any|Column;
    areaNames?: AreaNames|any ;
    organization?: Organization;
  }

 // 报警配置


 export interface AlarmConfig {
  id?: number;
  organizationId?: number;
  createTime?: number;
  updateTime?: number;
  value: AlarmConfigValue;
}

export interface AlarmConfigValue {
  alarmMode: AlarmMode;
  alarmLevels:{[key: string]:AlarmSensorLevel};
}


export interface AlarmSensorLevel {
  enable: boolean|any [];
  increment: number []|any[];
  degressEnable:boolean|any [];
  degression: number []|any [];
}
export interface Device {
  address?: any|Column;
  createTime?: any|Column;
  deviceVersion?: any|Column;
  deviceVersionId?: any|Column;
  id?: any|Column;
  installTime?: any|Column;
  isDelete?: any|Column;
  latitude?: any|Column;
  longitude?: any|Column;
  mac?: any|Column;
  monitorPoint?: any|Column;
  monitorPointId?: any|Column;
  name?: any|Column;
  operateUser?: any|Column;
  operateUserId?: any|Column;
  state?: any|Column;
}

export interface AlarmMode {
  enable: boolean|any[];
  level1: AlarmStyle[]|any[];
  level2: AlarmStyle[]|any[];
  level3: AlarmStyle[]|any[];
}
export interface DeviceAdjustValue {
  createTime?: number|any[];
  deviceId?: number|any[];
  id?: number|any[];
  updateTime?: number|any[];
  value?:{[s:string] : number}|any[];
}

export interface CoorPicker{
  longitude:number;//  经度
  latitude:number;// 纬度
  address:string;
  describe:string;
  name:string;
}